
Colony - Enhancement #456

Investigate Encoder Code

04/13/2009 11:41 PM - John Sexton

Status: Wontfix Start date: 04/13/2009

Priority: Normal Due date:  

Assignee: Alex Zirbel % Done: 0%

Category: Diagnostic Station Estimated time: 0.00 hour

Target version:    

Description

Look into fixing encoder code for the robots. Attempt to reduce from 50% CPU usage time.

History

#1 - 04/14/2009 12:29 AM - Rich Hong

I had problems last time I used the encoders library.

I tried running both motors at a fixed speed and varying that speed.

The accumulated distances seem to be reasonable when running the motors slowly, but if I tried to run them faster, accumulated distance of one

encoder would increase much faster than the other one.

and velocity measurement is just simply broken.

#2 - 09/30/2010 08:15 PM - John Sexton

- Assignee changed from Michael Kornbluh to Alex Zirbel

#3 - 10/01/2010 05:54 PM - Alex Zirbel

- Status changed from Assigned to Wontfix
